Retrieve custom environments
GET
https://api.vercel.com/v9/projects/{idOrName}/custom-environmentsRetrieve custom environments for the project. Must not be named 'Production' or 'Preview'.
https://api.vercel.com/v9/projects/{idOrName}/custom-environments
const response = await fetch('https://api.vercel.com/v9/projects/idOrName/custom-environments?gitBranch=string&teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "accountLimit": { "total": "123" }, "environments": [ { "branchMatcher": { "pattern": "string", "type": "endsWith" }, "createdAt": "123", "currentDeploymentAliases": [], "description": "string", "domains": [ { "apexName": "Example Name", "createdAt": "123", "customEnvironmentId": "example_id", "gitBranch": "string", "name": "Example Name", "projectId": "example_id", "redirect": "string", "redirectStatusCode": "301", "updatedAt": "123", "verification": [ { "domain": "string", "reason": "Customer requested refund", "type": "string", "value": "string" } ], "verified": "false" } ], "id": "icfg_1234567890", "slug": "string", "type": "development", "updatedAt": "123" } ]}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error